Bug 243132 - selinux-policy-* buglet with lastest F7 update
Summary: selinux-policy-* buglet with lastest F7 update
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy   
(Show other bugs)
Version: 7
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-07 14:01 UTC by Jérôme Benoit
Modified: 2007-11-30 22:12 UTC (History)
1 user (show)

Fixed In Version: Current
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-22 14:10:14 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jérôme Benoit 2007-06-07 14:01:52 UTC
Description of problem:

yum upgrade log say :

(1/3): selinux-policy-str 100% |=========================| 1.6 MB    00:10     
(2/3): selinux-policy-2.6 100% |=========================| 373 kB    00:02     
(3/3): selinux-policy-tar 100% |=========================| 992 kB    00:05     
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction
  Updating  : selinux-policy               ######################### [1/6] 
  Updating  : selinux-policy-targeted      ######################### [2/6] 
  Updating  : selinux-policy-strict        ######################### [3/6] 
libsepol.context_from_record: type unconfined_execmem_exec_t is not defined
libsepol.context_from_record: could not create context structure
libsepol.context_from_string: could not create context structure
libsepol.sepol_context_to_sid: could not convert
system_u:object_r:unconfined_execmem_exec_t:s0 to sid
/etc/selinux/strict/contexts/files/file_contexts:  line 597 has invalid context
system_u:object_r:unconfined_execmem_exec_t:s0
libsemanage.semanage_install_active: setfiles returned error code 1.
semodule:  Failed!
  Cleanup   : selinux-policy-targeted      ######################### [4/6]
  Cleanup   : selinux-policy               ######################### [5/6]
  Cleanup   : selinux-policy-strict        ######################### [6/6]


Version-Release number of selected component (if applicable):

selinux-policy-2.6.4-13.fc7

How reproducible:

downgrade selinux-policy-* package, disable selinux at boot. It appends after a
FC6 to F7 update with selinux disabled.

Comment 1 Daniel Walsh 2007-06-11 12:32:26 UTC
Fixed in selinux-policy-2.6.4-14

Comment 2 Daniel Walsh 2007-08-22 14:10:14 UTC
Closing as fixes are in the current release


Note You need to log in before you can comment on or make changes to this bug.